Update a project
curl --request PATCH \
--url https://api.alpic.ai/v1/projects/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"sourceRepository": "<string>"
}
'import requests
url = "https://api.alpic.ai/v1/projects/{projectId}"
payload = {
"name": "<string>",
"sourceRepository": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', sourceRepository: '<string>'})
};
fetch('https://api.alpic.ai/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"teamId": "<string>",
"sourceRepository": "<string>",
"rootDirectory": "<string>",
"buildCommand": "<string>",
"buildOutputDir": "<string>",
"installCommand": "<string>",
"startCommand": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"productionEnvironment": {
"id": "<string>",
"name": "<string>",
"mcpServerUrl": "<string>",
"domains": [
{
"domain": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"latestDeployment": {
"id": "<string>",
"sourceCommitId": "<string>",
"sourceCommitMessage": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}
},
"environments": [
{
"id": "<string>",
"name": "<string>",
"sourceBranch": "<string>",
"mcpServerUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"projectId": "<string>",
"latestDeployment": {
"id": "<string>",
"sourceCommitId": "<string>",
"sourceCommitMessage": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}
}
]
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Forbidden",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}projects
Update a project
Update project settings
PATCH
/
v1
/
projects
/
{projectId}
Update a project
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the project
Body
application/json
Response
The project has been updated successfully
Available options:
python3.13, python3.14, node22, node24 Available options:
stdio, sse, streamablehttp Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I